Subject: Re: bug#62274: [PATCH] home: 'home-environment-with-provenance' uses the HE location info.

From: Sergey Trofimov <[email-masked]>
Date: Tue, 21 Mar 2023 19:18:39 +0100

Andrew Tropin <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 2023-03-21 13:22, Sergey Trofimov wrote:
>>
>> The only concern is that I'd rather include
>> `guix-home-service-type` only in the first generation of the
>> system. I think that this tie between user envs and the 
>> operating
>> system makes sense only on the first boot. Later on the users
>> should be responsible (and able to) to maintain their 
>> environments
>> independently.
>
> There are a few issues I've not addressed yet:
>
> 1. User can login before activation finished. (Discussed in the
> mentioned thread above).

Yeah, I've just tried to bake a disk-image and also was able to 
log in faster than the activation service finishes. Not a big deal 
though, I can live with that.

>
> 2. Do we need to activate it on every system reconfigure? 
> (Actually, I
> used it mostly for creating rde live cd and vm images, so didn't 
> test
> much with system reconfigure or guix deploy. Also, I guess it 
> would be
> cool to add a one-shot? flag to the service for skeleton like
> functionality/initial provisioning).
>

I think this activation should run only once.

>
> 3. Probably something else I already forgot.

It seems that ~/.config/guix/current is not created and 
/var/guix/profiles/per-user/<user> as well.

>
> I still don't have enough spare time to clean it up, test and 
> upstream,
> but if you would like to finish this thing up, I would be very 
> happy to
> help!

Actually, my use case is already solved by your code and I can 
build backup images of my OS.
Now I just have to figure out how to restore from backups offline.